Permanently deletes an action. This will remove the action from all associated agents and cannot be undone.

http
DELETE https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}/actions/{actionId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
actionIdstringYesThe unique identifier of the action ID Attached to the agent
agentIdstringYes

Responses

200 - Successful response
  • data (object, required): Deleted action information

  • success (boolean, required): Success status of the request Example: True

json
{
  "success": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X DELETE 'https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId/actions/YOUR_actionId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?